Update location context policy⁠

PUT /api/v1/location-contexts/{id}

Body parameter

{
  "name": "string",
  "description": "string",
  "userGroupsIds": [
    "string"
  ],
  "ipCheck": {
    "allowed": true,
    "ips": [
      {
        "ip": "string",
        "description": "string"
      }
    ]
  },
  "countryCheck": {
    "countries": [
      "string"
    ],
    "allowed": true
  },
  "defaultCheck": {
    "allowed": true
  }
}

Parameters⁠

Name

In

Type

Required

Description

id

path

string

true

none

body

body

LocationContextRequest

true

none

» name

body

string

false

none

» description

body

string

false

none

» userGroupsIds

body

[string]

false

none

» ipCheck

body

IpCheckRequest

false

none

»» allowed

body

boolean

false

none

»» ips

body

[IpRequest]

false

none

»»» ip

body

string

false

none

»»» description

body

string

false

none

» countryCheck

body

CountryCheckRequest

false

none

»» countries

body

[string]

false

none

»» allowed

body

boolean

false

none

» defaultCheck

body

DefaultCheckRequest

false

none

»» allowed

body

boolean

false

none

Responses⁠

Status

Meaning

Description

Schema

200

OK

OK

LocationContextResponse

To perform this operation, you must be authenticated by means of one of the following methods: oauth